org.richfaces.fragment.panel

## Class TextualRichFacesPanel

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.panel.RichFacesPanel<TextualFragmentPart,TextualFragmentPart>
    - - org.richfaces.fragment.panel.TextualRichFacesPanel

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesPanel.AdvancedRichPanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesPanel.AdvancedRichPanelInteractions>, Panel<TextualFragmentPart,TextualFragmentPart>

      public class TextualRichFacesPanel
      extends RichFacesPanel<TextualFragmentPart,TextualFragmentPart>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.RichFacesPanel

      `RichFacesPanel.AdvancedRichPanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextualRichFacesPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBodyText()`
    `String` | `getHeaderText()`

    - ### Methods inherited from class org.richfaces.fragment.panel.RichFacesPanel

      `advanced`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextualRichFacesPanel

          public TextualRichFacesPanel()

  - ### Method Detail

    - #### getHeaderText

          public String getHeaderText()

    - #### getBodyText

          public String getBodyText()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.